com.impinj.stp

## Interface StpApi.EPCMemoryOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.EPCMemory, StpApi.EPCMemory.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.EPCMemoryOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.ByteString` | `getData()`
    `com.google.protobuf.ByteString` | `getMask()` Bit mask permitting read-modify-write of the existing EPC data.
    `StpApi.PCWord` | `getPcWord()` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.PCWordOrBuilder` | `getPcWordOrBuilder()` Defines the PC bits (hence the inventoried EPC length).
    `StpApi.Serialization` | `getSerialization()`
    `StpApi.SerializationOrBuilder` | `getSerializationOrBuilder()`
    `boolean` | `hasData()`
    `boolean` | `hasMask()` Bit mask permitting read-modify-write of the existing EPC data.
    `boolean` | `hasPcWord()` Defines the PC bits (hence the inventoried EPC length).
    `boolean` | `hasSerialization()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasData

          boolean hasData()

    - #### getData

          com.google.protobuf.ByteString getData()

    - #### hasMask

          boolean hasMask()

      Bit mask permitting read-modify-write of the existing EPC data. For each bit use a '1' to update/write new EPC bit and a '0' to keep the existing EPC bit. The default is to update the entire EPC (96 bits).

    - #### getMask

          com.google.protobuf.ByteString getMask()

      Bit mask permitting read-modify-write of the existing EPC data. For each bit use a '1' to update/write new EPC bit and a '0' to keep the existing EPC bit. The default is to update the entire EPC (96 bits).

    - #### hasSerialization

          boolean hasSerialization()

    - #### getSerialization

          StpApi.Serialization getSerialization()

    - #### getSerializationOrBuilder

          StpApi.SerializationOrBuilder getSerializationOrBuilder()

    - #### hasPcWord

          boolean hasPcWord()

      Defines the PC bits (hence the inventoried EPC length).

    - #### getPcWord

          StpApi.PCWord getPcWord()

      Defines the PC bits (hence the inventoried EPC length).

    - #### getPcWordOrBuilder

          StpApi.PCWordOrBuilder getPcWordOrBuilder()

      Defines the PC bits (hence the inventoried EPC length).